This file contains a log of the changes done at xtem_TeXMenu


Date     xtem	
yy mm dd Version Modification
-------- ------ ----------------------------------------------------------------
-------- ------ ----------------------------------------------------------------
96 10 16 6.00-a	new variable in install.vst: shortbutts, allowing short buttons
		in main menu (with full text display at mouse entering a button)
96 10 21 6.00-a	error in file selection menu (switching to another main file in
		some cases); bug fixed.
96 11 05 6.00-a	installation procedure now checks for the existence of programs
		used in the setting files.
96 11 06 6.00-a	specifications for printing using dvidvi, psnup etc. moved
		from prt_dvi*.tcl to prt_dvi*.vst.
96 11 07 6.00-a	at logfile-analyze some special case errors in recognition
		of parentheses (file opening/closing): bugs fixed.
96 11 08 6.00-a	at logfile-analyze error-editing the cursor was not visible
		with color screens; bug fixed
96 11 10 6.00-a	revision of locking/unlocking buttons in main menu, 
		prevents "flickering" of buttons at program execution.
96 11 15 6.00-a	makeindex is started automatically after TeX run, if .idx exists
96 11 18 6.00-a	the local administrator can control automatic starting of
		dvips (in case of postscript previewer) and makeindex:
		new variables in install.vst: texpostps, texpostind
96 11 22 6.00-a	revision of installation procedure.
96 11 25 6.00-a	xtem can be used with 2-button-mouse now;
		new variable in install.vst: mousebutts
96 11 25 6.00-a	after TeX run makeindex is called only if necessary
		(i.e. if changes in .idx file occured).
96 11 25 6.00-a	iconization of LaTeX syntax help texts and redisplay now 
		automatically has same effect for examples.
96 11 26 6.00-a	newlines, Line deleting at logfile-analyze with error correction
		using the built-in-editor resulted in incorrect line positioning
		for next error in the same file; bug fixed.
96 11 27 6.00-a	error in logfile analyze with TeX error "runaway argument";
		bug fixed.
96 11 28 6.00-a	in LaTeX syntax help texts links now result in exact position
		(instead top of page).
96 11 28 6.00-a	(minor) revision of LaTeX syntax help texts.
96 12 12 6.00-a	error using "cancel" button with mkcommand.6; bug fixed.
96 12 13 6.00-a	revision of locking/unlocking buttons in main menu.
96 12 19 6.00-a	quick&dirty setting menu created;
		new variables in install.vst: quickdelfile, quickmultprv,
		quicknonstop, quickprev, quickprevstd, quickprsstd
96 12 19 6.00-a	variable shortbutts in install.vst: value 2 extends short
		buttons (with command display line) to main menu right buttons.
97 01 09 6.00-a	shift-Button1 at quick&dirty button: using edit file instead of
		mouse grab
97 01 09 6.00-a	shift-Button1 at print button: direct print without print menu
97 01 15 6.00-a	incompatibility Tcl7.6/Tcl7.8: signal handling now must be
		blocked during program execution via exec command
97 01 23 6.00-a	bug fixed (synchronization of print/preview format switching
97 01 24 6.00-a	revision of button locking/unlocking in the main menu.
97 01 24 6.00-a	new variable texposttex: makeindex , bibtex etc. can now be
		started automatically after TeX run (if necessary only,
		i.e. checking modifications at the .idx file etc.)
97 02 19 6.00-a	in utility.vst you can no prevent creating of a backup file
97 03 13 6.00-a	some enhancements and checks in installation procedure.
97 03 19 6.00-a	new variable in install.vst: bindkeysenab;
		key bindings for program execution buttons in main menu.
97 04 03 6.00-a	new variable in install.vst: texedit
		(editor call at TeX-run syntax-error)
97 04 22 6.00-a	Key-Up and Key-Down-bindings for text widget in main menu
		and (La)TeX syntax help
97 04 28 6.00-a	some bugs at logfile analyze fixed.
97 04 28 6.00-a	in installation procedure the first line of some setting
		files was removed at editing: bug fixed
97 05 12 6.00-a	at first print command (of each xtem session) compatibility
		of printing.vst and the existence of lpr and/or lp is tested;
		if necessary: message to the user.
97 05 13 6.00-a	help is given to the user if xtem is started in directory
		without write permission.
97 05 16 6.00-a	bug fixed at spell-check call: calling ispell in an xterm window
		via xtem_prog script (better user information at ispell error).
97 05 26 6.00-a	program hyphen_show.c displays hyphenations found in the
		dvi-file are displayed after TeX run.
		new setting file: hyphen.vst
		new variable in install.vst: texposthyph
97 06 05 6.00-a	in print menu Tab key and Return (Enter) key can now be used.
97 06 20 6.00-a	in print menu new features in page selection: page numbers
		are displayed, selection can be done with (page) up/down buttons
		using this page number list.
97 06 27 6.00-a	tests with Tcl8.0; xtem modified to be compatible with Tcl8.0
-------- ------ ----------------------------------------------------------------
97 06 26 6.01-b error in file/directory selection menu (incompatibility
		Tcl7.6/Tcl8.0), bug fixed.
97 06 26 6.01-b some LaTeX syntax help texts needed revision (as Tcl8.0 list
		commands remove braces in some cases from the help text).
-------- ------ ----------------------------------------------------------------
97 06 30 6.02-b bug fixed in file index.tcl (occured when variable $mainfile was
		used in option string).
-------- ------ ----------------------------------------------------------------
97 07 04 6.03-b logfile analyze now checks for file existence when tag is
		clicked at.
97 07 11 6.03-b main menu button locking with Postscript preview: bug fixed.
-------- ------ ----------------------------------------------------------------
97 07 15 6.04-b installation procedure now tests write permissions of the
		setting file directories ".../*_locals_*/
97 07 15 6.04-b	xtem installation transcript now is written into file.
-------- ------ ----------------------------------------------------------------
97 07 21 6.05-b	if logfile analyze or hyphen_show is done, editor can now be
		called without deleting the output currently displayed in xtem
		text widget.
97 07 21 6.05-b	if logfile is displayed using "more", the xterm window all
		output is now readable up to final "return".
97 07 23 6.05-b	Warnings concerning font encoding more precise now.
-------- ------ ----------------------------------------------------------------
97 07 28 6.06-b	minor corrections in print menu (deleting redundant information)
97 08 16 6.06-b	"spell-filter" inserted in spellcheck.tcl
-------- ------ ----------------------------------------------------------------
97 09 09 6.07-b	several bugs fixed in program hyphen_show.c
-------- ------ ----------------------------------------------------------------
97 09 11 6.08-b	modifications in the system dependent type declarations in
		programs hyphen_show.c and pages_show.c
-------- ------ ----------------------------------------------------------------
97 09 30 6.09-b long qualified (edit) file names are displayed in the main
		menu buttons with it's file name only.
-------- ------ ----------------------------------------------------------------
97 10 15 6.10-b	error in prt_dvips.tcl with Tcl8.0 and using variable
	 	vstcommands: erroneous "{ }" and misleading error message 
		"2 input files specified"; problem solved.
97 10 15 6.10-b	call of a not existing editor/preview in background
97 10 15 6.10-b	gv in setting file preview.tcl (ghostview --> inactive entry)
97 10 15 6.10-b	xemacs in setting file editor.tcl (emacs --> inactive entry)
-------- ------ ----------------------------------------------------------------
97 10 23 6.11-b ispell call in an xterm window gives an error pop-up-box at
		program termination (Signal blocking not possible!);
		problem solved by catch command.
97 10 24 6.11-b bug fixed in tex_post run: not existing file $mainfile.hyp
		(hyphenations found) resulted in an error in some cases.
97 10 24 6.11-b error in logfile-analyze (incompatibility Tcl7.6 <--> Tcl8.0)
		if unpaired braces in logfile error text; bug fixed.
-------- ------ ----------------------------------------------------------------
97 10 28 6.12	error in logfile-analyze: long file names wrapped followed 
	 	by more than one closing ")"; bug fixed.
-------- ------ ----------------------------------------------------------------
-------- ------ ----------------------------------------------------------------
97 11 17 6.13-a	TeX-syntax-help-examples in reversed video (white on black)
		were unvisible (lack on black!); bug fixed.
-------- ------ ----------------------------------------------------------------
97 11 25 6.14-a	in file selection menu typing in a new edit file name when no
		main file name is set, this edit file name will become main
		file name too.
97 11 27 6.14-a	in file selection at clicks at file name entry widgets the
		cursor is positioned:	first click: at end of string,
					second click: at click postiion.
97 11 27 6.14-a minor correction in hyphen_show.c: words starting with "german
		umlaut" now are treated correctly in file .hck
-------- ------ ----------------------------------------------------------------
97 12 09 6.15-a error if in a setting file a "closing apostroph" was followed
		by non-blank character; bug fixed 
97 12 09 6.15-a popup-box after displaying hyphenations after TeX run replaced
		by a button in the main menu text widget.
-------- ------ ----------------------------------------------------------------
97 12 12 6.16-a bug in pages_show (concerning AIX C-compiler) fixed.
97 12 16 6.16-a with "sort buttons" now the main (and edit) file names are
		displayed below the buttons when the mouse is outside of the
		buttons.
97 12 17 6.16-a	the popup-box at saving personal settings was replaced by a
		button generated in the main menu text widget.
97 12 17 6.16-a	misleading error text (if hyphen_show is suppressed by the
		user); bug fixed.
97 12 18 6.16-a	saving the setting in a user specific setting file (and leaving
		xtem) produced an error message if setting file was write
		protected; bug fixed.
97 12 18 6.16-a clicking at "cancel" button after having TeX started without
		amin-file resulted in an error; bug fixed.
97 12 19 6.17-a bug fixed in installation procedure (if not both languages
		are to be installed, an erroneous rm-command was generated).
98 01 12 6.18	non-standard lines in .Xdefaults no longer cause xtem to exit.
-------- ------ ----------------------------------------------------------------
-------- ------ ----------------------------------------------------------------
98 01 17 6.19-a	installation-logfile now includes information on Tcl version,
		system information, file structure.
98 01 22 6.19-a	synchronisation problem with mkcommand.4 and very short
		program execution (xtem locked infinitely); bug fixed.
-------- ------ ----------------------------------------------------------------
98 03 12 6.23-a installation procedure splitted into basic installation (batch)
		and setting-file-modification (menu).
-------- ------ ----------------------------------------------------------------
98 03 26 6.32-a	minor error in page selection (printing with dvips); bug fixed.
-------- ------ ----------------------------------------------------------------
98 03 30 6.34-a	new feature in file selection menu: main file list can be
		reduced displaying main files only
		(new parameters in file texfmt.vst and
		 new variables in file install.vst: mdispmain and mdispmainv).
-------- ------ ----------------------------------------------------------------
98 04 15 6.35-a	minor error in logfile analyze; bug fixed.
-------- ------ ----------------------------------------------------------------
98 04 22 6.36-a URL's (via Browser call) now can be added to the (La)TeX syntax
		help (new variables urlcallexex(...) in file install.vst).
-------- ------ ----------------------------------------------------------------
98 04 24 6.37-a	error in odd/even page selection with dvilj: bug fixed.
98 04 24 6.37-a	printer driver dvilj4 added.
-------- ------ ----------------------------------------------------------------
98 05 06 6.38-a	the main menu buttons now expand horicontally.
-------- ------ ----------------------------------------------------------------
98 05 15 6.39-a	some hyphenations not found in hyphen_show; bug fixed.
-------- ------ ----------------------------------------------------------------
98 05 28 6.40-a	file selection menu: optimization of filling main file list.
98 05 28 6.40-a	main menu now unlocked when setting menu is "killed" via
		titlebar (close-window gadget) of window manager instead of
		"setting menu end button".
98 06 03 6.40-a	.hck-file now can be sorted alphabetically.
98 06 14 6.40-a	file selection menu: in "expert mode" (selection by mouse 
		button2) sometimes an error occured (synchronization problem);
		bug fixed.
98 06 04 6.40-a	first line of script xteminstall is used  in installation 
		procedure for all Bourne Shell scripts.
98 06 19 6.40-a	hyphen_show modified: pre- and post-hyphen fragments are
		displayed with 29 characters maximum lenght.
98 06 23 6.41-a	minor bug in file selection menu fixed (concerning directory
		selection from edit file list in 2-box-mode & expert mode only).
-------- ------ ----------------------------------------------------------------
98 07 15 6.42-a	Installation & Maintenance Guide update.
-------- ------ ----------------------------------------------------------------
98 07 31 6.46-a	bug fixed in prt_dvips.tcl (bug when non-existing absolute page
		number selected).
-------- ------ ----------------------------------------------------------------
98 08 05 6.47-a	installation procedure: argument list for chmod command
		shortened.
98 08 06 6.47-a	all suffixes listed in texsuffix.vst now have full support.
-------- ------ ----------------------------------------------------------------
98 08 14 6.48-a	quick file selection (Shift-Button-1 at "file selection button")
	 	from file history now possible.
-------- ------ ----------------------------------------------------------------
98 08 14 6.50-a	bug fixed in installation procedure conderning NFS mount path.
-------- ------ ----------------------------------------------------------------
98 10 02 6.53-a	hyphenations can be removed by mouse click from the displayed
		list, such hyphenations will not be added to .hck file.
-------- ------ ----------------------------------------------------------------
98 10 28 6.56-a	logfile-analyze is followed by .idx-analyze now
-------- ------ ----------------------------------------------------------------
98 11 09 6.61-a	key bindings ("short-cuts") for Meta-key and Alt-key identical.
-------- ------ ----------------------------------------------------------------
98 11 09 6.62-a	logfile-analyze tries to reconstruct file names inlcuding
		special characters (e.g. german umlaute) from "^^@"
		representation in logfile to real file name.
-------- ------ ----------------------------------------------------------------
98 12 11 6.67-a	printers in the printer selection menu can now be sorted
		alphabetically - see new variable prtlistsort in install.vst
-------- ------ ----------------------------------------------------------------
98 12 10 6.68-a	horizontal scrollbar in printer selection menu	
-------- ------ ----------------------------------------------------------------
98 12 15 6.71-a	new environment variable XTERMDEFLANG in xtem shell script
-------- ------ ----------------------------------------------------------------
99 01 07 6.74-a	error correction in "file selection" and in "utilities" menu
-------- ------ ----------------------------------------------------------------
99 01 18 6.75-a	installation procedure: symbolic links for setting files allowed
-------- ------ ----------------------------------------------------------------
99 02 17 6.78-a	minor error in index setting menu concerning default settings,
	        bzg fixed.
-------- ------ ----------------------------------------------------------------
99 03 12 6.83-a performing unlock mechanism (to prevent automatic font 
	        generation by TeX(dvips) call and preview call at the same time)
-------- ------ ----------------------------------------------------------------
99 03 31 6.89-a in case of calling a not-existing program xtem will produce
	        will no longer block after error message
-------- ------ ----------------------------------------------------------------
99 05 06 6.90-a installation guide switched from LaTeX2.09 to LeTeX2e
99 05 11 6.90-a xtem tested with Tcl/Tk/TclX 8.1
-------- ------ ----------------------------------------------------------------
99 05 26 6.92-a URL links in LaTeX syntax help adapted to new Kpathsea
-------- ------ ----------------------------------------------------------------
99 05 31 6.93-a mkcommand.vst will be adapted to new Tcl version automatically
-------- ------ ----------------------------------------------------------------
99 06 02 6.95-a TeX-autostart (at the moment when edit file or main file is
 		modified) option added;
		new variables: texautostrt and texautostrtv
99 06 04 6.95-a bug fixed: edit button now correctly locked after (first) editor
		call with automatic LaTeX syntax help call
-------- ------ ----------------------------------------------------------------
99 11 05 7.01	bug fixed: file xtemstart.new (in dir. xtem_locals_*) now found
99 11 07 7.01	bug fixed in file/direct. selection menu: file ~$fg_formular.doc
		(generated by Windows NT) makes trouble with Tcl7.6
99 11 26 7.01	type declaration of main in hyohen_show.c and pages_show.c
		changed from void to int
-------- ------ ----------------------------------------------------------------
00 01 24 7.02	printing using dvips now allos startpage>endpage; in this case
		the page numbers are exchanged and dvips option "-r*" is added
-------- ------ ----------------------------------------------------------------
00 02 16 7.03	wishx8.2 call modified: "-f" before program (file) name deleted
-------- ------ ----------------------------------------------------------------
00 03 27 7.20	Tcl-extensions (TclX) no longer needed; needed: wish and tclsh
-------- ------ ----------------------------------------------------------------
00 04 05 7.21	size of listboxes in file seclection menu expandable
00 04 10 7.21	error when editor button clicked with no file name; bug fixed
-------- ------ ----------------------------------------------------------------
00 04 13 7.24	editor setting menu now allows for changing the editor options
-------- ------ ----------------------------------------------------------------
00 04 18 7.26	error correction in logfile-analyze concerning page numbers
		and brackets
-------- ------ ----------------------------------------------------------------
00 05 18 7.33	in logfile analyze "LaTeX Warning: ..." are displayed at choice
		new variable: texlogwarning
-------- ------ ----------------------------------------------------------------
00 06 05 7.36	some boxes (containing file names) now horizontally expandable
-------- ------ ----------------------------------------------------------------
00 08 02 7.37	TkDVI previewer added to preview.vst
-------- ------ ----------------------------------------------------------------
00 08 14 7.38	display of hyphen_show modified: trailing special characters
		deleted from display and from file *.hck
00 09 28 7.38	analyse of logfile is stopped at "Runawyaw argument?"
-------- ------ ----------------------------------------------------------------
-------- ------ ----------------------------------------------------------------
-------- ------ ----------------------------------------------------------------
